← Back to team overview

launchpad-reviewers team mailing list archive

[Merge] ~lgp171188/launchpad-bastion-scripts:add-verify-production into launchpad-bastion-scripts:main

 

Guruprasad has proposed merging ~lgp171188/launchpad-bastion-scripts:add-verify-production into launchpad-bastion-scripts:main.

Commit message:
Add a verify-production script to just run production nagios checks

Requested reviews:
  Launchpad code reviewers (launchpad-reviewers)

For more details, see:
https://code.launchpad.net/~lgp171188/launchpad-bastion-scripts/+git/launchpad-bastion-scripts/+merge/477497
-- 
Your team Launchpad code reviewers is requested to review the proposed merge of ~lgp171188/launchpad-bastion-scripts:add-verify-production into launchpad-bastion-scripts:main.
diff --git a/verify-production b/verify-production
new file mode 100755
index 0000000..b6c9e78
--- /dev/null
+++ b/verify-production
@@ -0,0 +1,11 @@
+#! /bin/bash
+set -e
+set -o pipefail
+
+# Ignore haproxy queue depth checks for deployment purposes: they may need
+# to be handled by IS, but are unlikely to relate very closely to code
+# deployments.
+skip_checks=check_haproxy_queue
+
+mkdir -p "$HOME/logs"
+ssh prod-launchpad@is-bastion-ps5.internal autodeploy-trigger prod-launchpad verify EXTRA_SKIP_CHECKS="$skip_checks" 2>&1 | tee -a "$HOME/logs/$(date +%F)-production.log"

Follow ups